import { ContentControl } from "igniteui-angular-core";
import { FrameworkElement } from "igniteui-angular-core";
import { XamFunnelView } from "./XamFunnelView";
import { DependencyProperty } from "igniteui-angular-core";
import { Brush } from "igniteui-angular-core";
import { Visibility } from "igniteui-angular-core";
import { Type } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class XamFunnelSlice extends ContentControl {
    static $t: Type;
    constructor();
    protected ax: FrameworkElement;
    ai: XamFunnelView;
    get aj(): number;
    set aj(a: number);
    static readonly aw: DependencyProperty;
    a0: Brush;
    a1: Brush;
    get ay(): Brush;
    set ay(a: Brush);
    static readonly ar: DependencyProperty;
    get az(): Brush;
    set az(a: Brush);
    static readonly as: DependencyProperty;
    get a2(): Visibility;
    set a2(a: Visibility);
    static readonly au: DependencyProperty;
    private aq;
    static $$p: string[];
}
